Package com.independentsoft.office.odf.styles

# Class BorderLineWidth

java.lang.Object
com.independentsoft.office.odf.styles.BorderLineWidth

public class BorderLineWidth extends Object
Represents the widths of borders defined by the FO border properties for borders.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BorderLineWidth()`
  Initializes a new instance of the BorderLineWidth class.
  `BorderLineWidth​(Size innerLineWidth, Size distance, Size outerLineWidth)`
  Initializes a new instance of the BorderLineWidth class.
  `BorderLineWidth​(String borderLintWidth)`
  Initializes a new instance of the BorderLineWidth class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BorderLineWidth`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `Size`
  `getDistance()`
  Gets the distance between the two lines.
  `Size`
  `getInnerLineWidth()`
  Gets the width of the inner line.
  `Size`
  `getOuterLineWidth()`
  Gets the width of the outer line.
  `void`
  `setDistance​(Size distance)`
  Sets the distance between the two lines.
  `void`
  `setInnerLineWidth​(Size innerLineWidth)`
  Sets the width of the inner line.
  `void`
  `setOuterLineWidth​(Size outerLineWidth)`
  Sets the width of the outer line.
  `String`
  `toString()`
  Converts the value of the current BorderLineWidth object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BorderLineWidth

    public BorderLineWidth()
    Initializes a new instance of the BorderLineWidth class.

  - ### BorderLineWidth

    public BorderLineWidth​(Size innerLineWidth, Size distance, Size outerLineWidth)
    Initializes a new instance of the BorderLineWidth class.
    Parameters:
      `innerLineWidth` - the inner line width
      `distance` - the distance
      `outerLineWidth` - the outer line width

  - ### BorderLineWidth

    public BorderLineWidth​(String borderLintWidth)
    Initializes a new instance of the BorderLineWidth class.
    Parameters:
      `borderLintWidth` - the border lint width

- ## Method Details

  - ### clone

    public BorderLineWidth clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current BorderLineWidth object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getInnerLineWidth

    public Size getInnerLineWidth()
    Gets the width of the inner line.
    Returns:
      the inner line width

  - ### setInnerLineWidth

    public void setInnerLineWidth​(Size innerLineWidth)
    Sets the width of the inner line.
    Parameters:
      `innerLineWidth` - the new inner line width

  - ### getDistance

    public Size getDistance()
    Gets the distance between the two lines.
    Returns:
      the distance

  - ### setDistance

    public void setDistance​(Size distance)
    Sets the distance between the two lines.
    Parameters:
      `distance` - the new distance

  - ### getOuterLineWidth

    public Size getOuterLineWidth()
    Gets the width of the outer line.
    Returns:
      the outer line width

  - ### setOuterLineWidth

    public void setOuterLineWidth​(Size outerLineWidth)
    Sets the width of the outer line.
    Parameters:
      `outerLineWidth` - the new outer line width